set memory 100m
use "H:\Workshops\Issues in Analysis of Complex Sample Survey Data\Stata Data\nhanes.dta", clear
tab stratum
tab stratum ppsu

summarize fwgtexam, detail

gen b50subp = (race == 2 & ager >= 50)
svyset ppsu [pweight = fwgtexam], strata(stratum)
svy: mean bpsyst if b50subp == 1
svy, subpop(b50subp): mean bpsyst

set memory 100m
use "H:\Workshops\Issues in Analysis of Complex Sample Survey Data\Stata Data\lsoa_86x", clear
replace cancer = 0 if cancer == 1
replace cancer = 1 if cancer == 2
svyset psu [pweight=fnlwgt2], strata(stratum)
svy: mean cancer

svy: mean numadl, over(arthrtis)
lincom [numadl]1-[numadl]2

use "H:\Workshops\Issues in Analysis of Complex Sample Survey Data\Stata Data\nhanes.dta", clear
svyset ppsu [pweight=fwgtexam], strata(stratum)
svy: tab gender race if ager >= 18, se
gen age18 = (ager >= 18)
svy, subpop(age18): tab gender race, se

svyset ppsu [pweight=fwgtexam], strata(stratum)
gen igender = 0
replace igender = 1 if gender == 2
replace igender = . if igender == .
gen black = 0
replace black = 1 if race == 2
gen other = 0
replace other = 1 if race == 3
replace other = . if race == .
replace black = . if black == .
gen bmi = weightkg * 100 * 100 / (heightcm*heightcm)
gen age18 = 1 if ager >= 18 & ager != .
replace age18 = 0 if ager < 18
gen logdbp = log(bpdiast)
svy, subpop(age18): regress logdbp ager igender black other povindex bmi

use "H:\Workshops\Issues in Analysis of Complex Sample Survey Data\Stata Data\lsoa_86x", clear
replace cancer = 1 if cancer == 1
replace cancer = 0 if cancer == 2
gen male = 1 if sex == 1
replace male = 0 if sex == 2
svyset psu [pweight = fnlwgt2], strata(stratum)
svy, subpop(male): logit cancer height weight educ age84, or 

gen age86 = age84 + 2
gen adloff = 7
gen adl = numadl2r
char sex[omit] 2
char cataract[omit] 2
char coronhtd[omit] 2
char diabetes[omit] 2
xi: svy: poisson adl age86 i.sex i.cataract i.coronhtd i.diabetes incfamr numdaugh, exposure(adloff) irr
